%define	name	torcs
%define	oname	TORCS
%define	libname	%mklibname %{name}
%define	version	1.3.0
%define	release	4
%define	Summary	The Open Racing Car Simulator

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Summary:	%{Summary}
License:	GPL
Group:		Games/Arcade
Source0:	%{oname}-%{version}-src.tar.bz2
Source1:	%{oname}-%{version}-src-robots-base.tar.bz2
Source2:	%{oname}-%{version}-src-robots-berniw.tar.bz2
Source3:	%{oname}-%{version}-src-robots-bt.tar.bz2
Source4:	%{oname}-%{version}-src-robots-olethros.tar.bz2
URL:		http://torcs.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	%{oname}
Requires:	%{name}-data = %{version} %{name}-robots-base
Requires:	%{name}-data-cars-extra %{name}-robots-berniw %{name}-robots-bt %{name}-robots-olethros
BuildRequires:	ImageMagick mesaglu-devel SDL-devel zlib-devel png-devel
BuildRequires:	mesa-common-devel plib-devel freealut-devel openal-devel libxrandr-devel
Provides:	%{libname}
Obsoletes:	%{libname}

%description
A 3D racing car simulator using OpenGL.

%package	robots-base
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Basic robots for %{name}
Provides:	%{name}-robots

%description	robots-base
Base robots for %{oname}

%package	robots-berniw
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Berniw robots for %{name}
Provides:	%{name}-robots

%description	robots-berniw
Berniw robots for %{oname}
by Bernhard Wymann <berniw@bluewin.ch>

%package	robots-bt
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Bt robots for %{name}
Provides:	%{name}-robots

%description	robots-bt
bt robots for %{oname}

%package	robots-olethros
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Olethros robots for %{name}
Provides:	%{name}-robots

%description	robots-olethros
bt robots for %{oname}
by Christos Dimitrakakis <dimitrak@idiap.ch>

%prep
%setup -q -b1 -b2 -b3 -b4

%build
%configure	--bindir=%{_gamesbindir}
%make || %make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}


mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{oname}
Comment=%{Summary}
Exec=soundwrapper %{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

%{__install} -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
convert -size 16x16 icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc INSTALL.linux README.linux
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/[!d]*
%{_datadir}/applications/mandriva-%{name}.desktop
%dir %{_gamesdatadir}/%{name}/drivers
%{_gamesdatadir}/%{name}/drivers/human
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_libdir}/%{name}

%files robots-base
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/cylos1
%{_gamesdatadir}/%{name}/drivers/damned
%{_gamesdatadir}/%{name}/drivers/inferno
%{_gamesdatadir}/%{name}/drivers/inferno2
%{_gamesdatadir}/%{name}/drivers/lliaw
%{_gamesdatadir}/%{name}/drivers/tanhoj
%{_gamesdatadir}/%{name}/drivers/tita
%{_gamesdatadir}/%{name}/drivers/sparkle

%files robots-berniw
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/berniw*

%files robots-bt
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/bt

%files robots-olethros
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/olethros




%changelog
* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-4mdv2008.1
+ Revision: 168459
- fix summary-not-capitalized
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Emmanuel Andry <eandry@mandriva.org> 1.3.0-4mdv2008.0
+ Revision: 55949
- drop debian menu


* Fri Jan 05 2007 Olivier Blin <oblin@mandriva.com> 1.3.0-3mdv2007.0
+ Revision: 104503
- build with freealut

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 1.3.0-2mdv2007.1
+ Revision: 90001
- bump release
- use soundwrapper
- do not pass %%U to menu
- fix menu title
- fix menu location

* Mon Nov 20 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.0-1mdv2007.1
+ Revision: 85656
- add buildrequires libxrandr-devel
- New
- fix requires (bug#27042)

  + Lenny Cartier <lenny@mandriva.com>
    - Import torcs

* Wed Aug 09 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.4-4mdv2007.0
- fix requires

* Sun Aug 06 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.4-3mdv2007.0
- fix buildrequires
- fix xdg menu

* Sun Jun 18 2006 Emmanuel Andry <eandry@mandriva.org> 1.2.4-2mdv2007.0
- fix homepage
- fix buildrequires
- xdg compliant
- patch0 from fedora to fix gcc4.1 compilation
- patch1 from debian

* Wed Sep 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.4-1mdk
- %%mkrel
- from Emmanuel Andry <eandry@free.fr> :
	o 1.2.4
	o Buildrequires openal-devel

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.3-1mdk
* from Emmanuel Andry <eandry@free.fr> :
	o New version
	o Added robot olethros
	o Removed robots K1999, astigot, billy for compatibility

* Sat Aug 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-4mdk
- rebuild for new menu

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-3mdk
- rebuild

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-2mdk
- buildrequires
- work around problem with too many jobs

* Sun Feb 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- fix buildrequires(lib64..)
- added astigot, billy og bt robots
- drop P0, fixed upstream
- nuke lib package

